@import '../../../variables.scss';

.TableCell {
  position: relative;
}

.TableCell.headerCell {
  text-align: center;
  background-color: $button-background-color-hover;
}

.TableCell.headerCell > span {
  font-weight: bold;
  color: $primary-color;
}

.TableCell.headerCell.small > span {
  font-size: 0.875rem;
}

.TableCell.headerCell.medium > span {
  font-size: 1rem;
}

.TableCell.headerCell.large > span {
  font-size: 1.125rem;
}

.TableCell .hitForwardSlash,
.TableCell .missForwardSlash,
.TableCell .hitBackslash,
.TableCell .missBackslash {
  position: absolute;
  top: 0.5rem;
  bottom: 0.5rem;
  left: 0.5rem;
  right: 0.5rem;
  z-index: 2;
}

.TableCell .hitForwardSlash {
  background: linear-gradient(
    135deg,
    transparent calc(50% - 1px),
    $bombed-hit-color 50%,
    transparent calc(50% + 1px)
  );
}

.TableCell .hitBackslash {
  background: linear-gradient(
    45deg,
    transparent calc(50% - 1px),
    $bombed-hit-color 50%,
    transparent calc(50% + 1px)
  );
}

.TableCell .missForwardSlash {
  background: linear-gradient(
    135deg,
    transparent calc(50% - 1px),
    $bombed-miss-color 50%,
    transparent calc(50% + 1px)
  );
}

.TableCell .missBackslash {
  background: linear-gradient(
    45deg,
    transparent calc(50% - 1px),
    $bombed-miss-color 50%,
    transparent calc(50% + 1px)
  );
}

.TableCell button {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  padding: 0;
  border: none;
  outline: none;
  background-color: transparent;
  cursor: pointer;
}

.TableCell button:hover,
.TableCell button:focus,
.TableCell button:active {
  background-color: #f0f0f0;
}
